# GET /api/v1/hubspot-card/by-email

> HubSpot card data by contact email

- **Tag:** hubspot-card
- **Operation ID:** `hubspot_card_by_email_api_v1_hubspot_card_by_email_get`

## Description

Look up a DayZero business by the HubSpot contact email.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `email` (query, string, required) — Contact email from HubSpot
- `api_key` (query, string, optional)

## Responses

### 200 — Successful Response

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/hubspot-card/by-email' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/hubspot-card/by-email', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/hubspot-card/by-email", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/hubspot-card/hubspot-card-by-email
- OpenAPI slice: https://www.ondayzero.com/docs/reference/hubspot-card/hubspot-card-by-email/openapi.json
- Other endpoints in **hubspot-card**: https://www.ondayzero.com/docs/reference/hubspot-card
